Skip to main content
GET
/
api
/
teams
/
{team_id}
/
proxy_accounts
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "description": "<string>",
      "enabled": true,
      "enabled_by_admin": true,
      "status": "ACCOUNT_BLOCKED",
      "is_active": false,
      "username": "<string>",
      "quota": 0,
      "plain_password": "<string>",
      "proxy_profiles": [
        {
          "@id": "<string>",
          "@type": "<string>",
          "@context": "<string>",
          "id": "<string>",
          "name": ""
        }
      ],
      "hash": "<string>",
      "quota_str": "<string>",
      "bytes_recv": 0,
      "bytes_sent": 0,
      "last_activity_at": "2023-11-07T05:31:56Z",
      "ip_whitelist": {
        "is_enabled": false,
        "ips": [],
        "ports": []
      },
      "consumption_str": "<string>",
      "consumption": 123
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  },
  "hydra:view": {
    "@id": "string",
    "@type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 30
is_active
boolean
username
string
description
string
status
string
status[]
string[]
order[description]
enum<string>
default:asc
Available options:
asc,
desc
usage
string

Filter by usage level: low, moderate, high, close_to_limit, over_limit, unlimited

usage[]
string[]

Response

ProxyAccount collection

ProxyAccount.jsonld-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0
hydra:view
object
Example:
{
  "@id": "string",
  "@type": "string",
  "hydra:first": "string",
  "hydra:last": "string",
  "hydra:previous": "string",
  "hydra:next": "string"
}